Package csb :: Package bio :: Package io :: Module wwpdb :: Class RobustResidueMapper

[frames] | no frames]

# Class RobustResidueMapper

source code

               object --+
                        |
    AbstractResidueMapper --+
                            |
                           RobustResidueMapper

Exhaustive residue mapper, which uses Needleman-Wunsch global alignment. Much slower (quadratic), but fail-proof even with incompatible sequences (can insert gaps in both the `sparse` and the `reference` sequence).

Nested Classes
| GlobalAligner
Inherited from `AbstractResidueMapper`: `__metaclass__`

Instance Methods

__init__(self, match=1, mismatch=-10, gap=0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

SparseChainSequence

map(self, sparse, reference) Map `sparse`'s residues to `reference`. | source code

Inherited from `AbstractResidueMapper`: `create_gap` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, match=1, mismatch=-10, gap=0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `match` (float) - score for a match
  - `mismatch` (float) - score for a mismatch (by default mismatches are heavily penalized, while gaps are allowed)
  - `gap` (float) - gap penalty
Overrides: object.__init__
  (inherited documentation)

### map(self, sparse, reference)

source code

Map `sparse`'s residues to `reference`. Return all `sparse` residues, aligned over `reference`, with artificial gap residues inserted at relevant positions. The resulting sequence of sparse residues will always have the same length as the `reference` sequence.

Parameters:
  - `sparse` - sparse sequence (e.g. derived from ATOMS records)
  - `reference` - reference, complete sequence (e.g. derived from SEQRES records)
Returns: SparseChainSequence
  all `sparse` residues, optimally aligned over `reference` (with gaps)
Raises:
  - `ResidueMappingError` - if the specified sequences are not alignable
Overrides: AbstractResidueMapper.map
  (inherited documentation)